/**
 * 严肃声明：
 * 开源版本请务必保留此注释头信息，若删除我方将保留所有法律责任追究！
 * 本系统已申请软件著作权，受国家版权局知识产权以及国家计算机软件著作权保护！
 * 可正常分享和学习源码，不得用于违法犯罪活动，违者必究！
 * Copyright (c) 2020 陈尼克 all rights reserved.
 * 版权所有，侵权必究！
 */
 import axios from 'axios'
 import { Toast } from 'vant'
 import router from '../router'
 
 // axios.defaults.baseURL = process.env.NODE_ENV == 'development' ? 'http://backend-api-01.newbee.ltd/api/v1' : 'http://backend-api-01.newbee.ltd/api/v1'
 axios.defaults.baseURL = '/hse/app-api'
 axios.defaults.withCredentials = true
 axios.defaults.headers['X-Requested-With'] = 'XMLHttpRequest'
 axios.defaults.headers['token'] = localStorage.getItem('token') || ''
 axios.defaults.headers.post['Content-Type'] = 'application/json'
 axios.defaults.headers['data-Type'] = 'json'
 
 axios.interceptors.response.use(res => {
   if (typeof res.data !== 'object') {
     Toast.fail('服务端异常！')
     return Promise.reject(res)
   }
   if (res.data.resultCode != 200) {
     if (res.data.message) Toast.fail(res.data.message)
     if (res.data.resultCode == 416) {
       router.push({ path: '/login' })
     }
     return Promise.reject(res.data)
   }
 
   return res.data
 })
 
 export default axios
 // const service = axios.create({
 //   baseURL: '/hse', //前缀路径
 //     headers: {//请求头部
 //         // "Content-Type": "application/x-www-form-urlencoded; charset=UTF-8",
 //         "content-type": "application/json",
 //     "data-type": "json"
 //   }
 // })
 // //拦截接口请求
 // service.interceptors.request.use(config => {
 //     // if (getToken()) {
 //     //     config.headers['X-Token'] = getToken()
 //   // }
 //     return config
 // },error => {
 //     console.log(error)
 //     return Promise.reject(error)
 // })
 // //拦截接口响应
 // service.interceptors.response.use(response => {
 //     const res = response.data//获取请求返回数据
 //     const code = response.status//获取请求响应码
 //     if(code == 200) {//请求响应码200 代表已经请求到接口
 //         if(res.rtnCode === 500) {//接口响应码500 代表接口代码运行异常
 //             Toast.fail('服务端异常！')
 //             return Promise.reject(new Error('Error'))//异步函数 报错
 //         }
 //         if(res.rtnCode === 5000) {//接口响应码500 代表接口代码运行异常
 //             Toast.fail('服务端异常！')
 //             return Promise.reject(new Error('Warning'))//异步函数 报错
 //         }
 //         if(res.code === 403) {//接口响应码403 代表token令牌失效
 //             this.$dialog.confirm({
 //                 title: '提示',
 //                 message: '登录超时，请重新登录',
 //             })
             
 //             .then(() => {
 //               store.dispatch('user/resetToken').then(() => {
 //                 location.reload()
 //               })
 //             })
 //         } else {
 //             return res//请求返回数据
 //         }
 //     } else {
 //         Toast.fail('服务端异常！')
 //         if(code === 500) {//接口响应码500 代表接口代码运行异常
 //             this.$dialog.confirm({
 //                 title: '提示',
 //                 message:'您已经退出，您可以取消停留在这个页面，或重新登录', 
 //             }).then(() => {
 //                 store.dispatch('user/resetToken').then(() => {
 //                     this.$router.push({path:'/login'})
 //                 })
 //             })
 //         }
 //         return Promise.reject(new Error('Error'))
 //     }
 // },error => {
 //     console.log('err' + error)
 //     Toast.fail('服务端异常！')
 //     return Promise.reject(error)
 // })
 
 // export default service